Bug 234116 - Samsung phone attachment through USB cable PCB200BBE
Samsung phone attachment through USB cable PCB200BBE
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2007-03-27 01:58 EDT by Sasha
Modified: 2008-02-07 23:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 23:25:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sasha 2007-03-27 01:58:06 EDT
Description of problem:
No way to connect to Samsung E-900 phone. GPRS not working. 
Kernel aumaticali load cdc-acm driver, but modem in phone not work. USB bus dont
hang, but GPRS dont work.

Version-Release number of selected component (if applicable):
[user@fedora ~]# uname -a
Linux fedora 2.6.20-1.2933.fc6 #1 SMP Sat Mar 10 19:15:16 EST 2007 i686 i686
i386 GNU/Linux

How reproducible:
Just connect Samsung E-900 phone to USB port through
the PCB200BBE cable.

Steps to Reproduce:
1. Run tail -f /var/log/messages
2. Connect Samsung E-900
3.Look at the error RNDIS init failed, -110. 
  
Actual results:
$ tail -f /var/log/messages
Mar 23 18:18:51 localhost kernel: usb 4-1: new full speed USB device using
uhci_hcd and address 2
Mar 23 18:18:51 localhost kernel: usb 4-1: configuration #1 chosen from 1 choice
Mar 23 18:18:51 localhost kernel: Initializing USB Mass Storage driver...
Mar 23 18:18:51 localhost kernel: scsi2 : SCSI emulation for USB Mass Storage
devices
Mar 23 18:18:51 localhost kernel: usbcore: registered new interface driver
usb-storage
Mar 23 18:18:51 localhost kernel: USB Mass Storage support registered.
Mar 23 18:18:52 localhost kernel: cdc_acm 4-1:1.3: ttyACM0: USB ACM device
Mar 23 18:18:52 localhost kernel: usbcore: registered new interface driver cdc_acm
Mar 23 18:18:52 localhost kernel: drivers/usb/class/cdc-acm.c: v0.25:USB
Abstract Control Model driver for USB modems and ISDN adapters
Mar 23 18:18:52 localhost kernel: usbcore: registered new interface driver cdc_ether
Mar 23 18:18:52 localhost kernel: rndis_host 4-1:1.1: RNDIS init failed, -110
Mar 23 18:18:52 localhost kernel: rndis_host: probe of 4-1:1.1 failed with error
-110
Mar 23 18:18:52 localhost kernel: usbcore: registered new interface driver
rndis_host
I run pppd + chat script. PAP autentification success, and i see in konsole
root@localhost ppp]# pppd call etk
AT
OK
ATV1S0=0&D2&C1
OK
AT+CMEE=1
OK
ATS0=0
OK
AT&F
OK
AT+CGDCONT=1,"IP","internet.etk.ru"
OK
ATD*99***1#
CONNECT
Serial connection established.
using channel 1
Using interface ppp0
Connect: ppp0 <--> /dev/ttyACM0
sent [LCP ConfReq id=0x1 <asyncmap 0x0> <magic 0x7d8d0026> <pcomp> <accomp>]
rcvd [LCP ConfReq id=0x1 <asyncmap 0xa0000> <auth pap>]
sent [LCP ConfAck id=0x1 <asyncmap 0xa0000> <auth pap>]
rcvd [LCP ConfRej id=0x1 <pcomp> <accomp>]
sent [LCP ConfReq id=0x2 <asyncmap 0x0> <magic 0x7d8d0026>]
rcvd [LCP ConfNak id=0x2 <asyncmap 0xa0000>]
sent [LCP ConfReq id=0x3 <asyncmap 0xa0000> <magic 0x7d8d0026>]
sent [LCP ConfReq id=0x3 <asyncmap 0xa0000> <magic 0x7d8d0026>]
sent [LCP ConfReq id=0x3 <asyncmap 0xa0000> <magic 0x7d8d0026>]
sent [LCP ConfReq id=0x3 <asyncmap 0xa0000> <magic 0x7d8d0026>]
sent [LCP ConfReq id=0x3 <asyncmap 0xa0000> <magic 0x7d8d0026>]
sent [LCP ConfReq id=0x3 <asyncmap 0xa0000> <magic 0x7d8d0026>]
sent [LCP ConfReq id=0x3 <asyncmap 0xa0000> <magic 0x7d8d0026>]
sent [LCP ConfReq id=0x3 <asyncmap 0xa0000> <magic 0x7d8d0026>]
sent [LCP ConfReq id=0x3 <asyncmap 0xa0000> <magic 0x7d8d0026>]
sent [LCP ConfReq id=0x3 <asyncmap 0xa0000> <magic 0x7d8d0026>]
LCP: timeout sending Config-Requests
Connection terminated.
Modem hangup


Expected results:
Use GPRS with Samsung E-900.

Additional info:
What is the Samsunf E-900 driver i should use? Could it be used for linux kernel
or at
least include it to the Fedora, Fedora Extras or Livna repository as kernel
module: I found many many people in Internet that have similar problems to
connect mobile phones through USB cable (like Nokia phones).
Comment 1 Jon Stanley 2008-01-07 20:52:35 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 2 Jon Stanley 2008-02-07 23:25:22 EST
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!

Note You need to log in before you can comment on or make changes to this bug.